Skip to content
VirtlixCP

Documentation / API

File Servers

List File Servers

GET /pxe/file

List of File Servers

Response 200: List of File Servers

Field Type Description
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
http object
http.host string
http.port integer
http.use_https boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
install_max_concurrent integer
name string
parent object
parent.id integer VirtlixCP-specific unique identifier used for URLs, etc.
parent.name string
ssh object
ssh.port integer
ssh.public_key string

Create File Server

POST /pxe/file

Add new File Server

Request body

Field Type Required Description
group_id integer yes VirtlixCP-specific unique identifier used for URLs, etc.
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
install_max_concurrent integer yes
name string yes
parent_id integer VirtlixCP-specific unique identifier used for URLs, etc.
ssh object
ssh.port string
ssh.public_key string

Response 200: A File Server

Field Type Description
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
http object
http.host string
http.port integer
http.use_https boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
install_max_concurrent integer
name string
parent object
parent.id integer VirtlixCP-specific unique identifier used for URLs, etc.
parent.name string
ssh object
ssh.port integer
ssh.public_key string

Request body

Field Type Required Description
group_id integer yes VirtlixCP-specific unique identifier used for URLs, etc.
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
install_max_concurrent integer yes
name string yes
parent_id integer VirtlixCP-specific unique identifier used for URLs, etc.
ssh object
ssh.port string
ssh.public_key string

Response 422: Unprocessable Entity

Delete File Server

DELETE /pxe/file/{file_server_id}

Delete a File Server

Response 200: File Server deleted successfully

Response 404: Item not Found

View File Server

GET /pxe/file/{file_server_id}

A File Server

Response 200: A File Server

Field Type Description
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
http object
http.host string
http.port integer
http.use_https boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
install_max_concurrent integer
name string
parent object
parent.id integer VirtlixCP-specific unique identifier used for URLs, etc.
parent.name string
ssh object
ssh.port integer
ssh.public_key string

Edit File Server

PATCH /pxe/file/{file_server_id}

Request body

Field Type Required Description
group_id integer VirtlixCP-specific unique identifier used for URLs, etc.
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
install_max_concurrent integer
name string
parent_id integer VirtlixCP-specific unique identifier used for URLs, etc.
ssh object
ssh.port string
ssh.public_key string

Response 200: A File Server

Field Type Description
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
http object
http.host string
http.port integer
http.use_https boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
install_max_concurrent integer
name string
parent object
parent.id integer VirtlixCP-specific unique identifier used for URLs, etc.
parent.name string
ssh object
ssh.port integer
ssh.public_key string

Request body

Field Type Required Description
group_id integer VirtlixCP-specific unique identifier used for URLs, etc.
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
install_max_concurrent integer
name string
parent_id integer VirtlixCP-specific unique identifier used for URLs, etc.
ssh object
ssh.port string
ssh.public_key string

Response 422: Unprocessable Entity

Sync Child Server Files

POST /pxe/file/{file_server_id}/child/sync

Sync Files to Child Server

Request body

Field Type Required Description
isWrapped boolean yes

Response 200: File server sync initiated with all children.

Request body

Field Type Required Description
isWrapped boolean yes

Response 422: Unprocessable Entity